Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Node v0.10 #164

Closed
zdfs opened this Issue Mar 21, 2013 · 23 comments

Comments

Projects
None yet
2 participants

zdfs commented Mar 21, 2013

I can't find any information about whether Mimosa is compatible with v0.10 of Node. I've tried upgrading, but my Mimosa project falls apart.

Is there any problem you're aware of?

Owner

dbashford commented Mar 21, 2013

Owner

dbashford commented Mar 21, 2013

zdfs commented Mar 21, 2013

Ok. I'll check my app. Thanks.

zdfs commented Mar 21, 2013

This is the stack trace I'm getting:

4231 error Error: ENOENT, lstat '/Users/zforrest/Dropbox/work/minerva/node_modules/mimosa/node_modules/handlebars/node_modules/uglify-js/uglify-js.js'
4232 error If you need help, you may report this log at:
4232 error     <http://github.com/isaacs/npm/issues>
4232 error or email it to:
4232 error     <npm-@googlegroups.com>
4233 error System Darwin 12.3.0
4234 error command "node" "/usr/local/bin/npm" "install"
4235 error cwd /Users/zforrest/Dropbox/work/minerva
4236 error node -v v0.10.1
4237 error npm -v 1.2.15
4238 error path /Users/zforrest/Dropbox/work/minerva/node_modules/mimosa/node_modules/handlebars/node_modules/uglify-js/uglify-js.js
4239 error fstream_path /Users/zforrest/Dropbox/work/minerva/node_modules/mimosa/node_modules/handlebars/node_modules/uglify-js/uglify-js.js
4240 error fstream_type File
4241 error fstream_class FileWriter
4242 error code ENOENT
4243 error errno 34
4244 error fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
4244 error fstream_stack Object.oncomplete (fs.js:107:15)
4245 verbose exit [ 34, true ]

zdfs commented Mar 21, 2013

I uninstalled my previous version, and now I can't seem to install Mimosa as a global module.

Owner

dbashford commented Mar 21, 2013

What's the error? Need details. =)

zdfs commented Mar 21, 2013

It's weird. I don't know what's happening. I've installed older versions of Node and the same problems occur. Here is my installation log:

zdfs:~ zforrest$ npm install mimosa -g
npm http GET https://registry.npmjs.org/mimosa
npm http 304 https://registry.npmjs.org/mimosa
npm http GET https://registry.npmjs.org/dustjs-linkedin/1.2.1
npm http GET https://registry.npmjs.org/hogan.js/2.0.0
npm http GET https://registry.npmjs.org/ejs/0.8.3
npm http GET https://registry.npmjs.org/coffee-script/1.6.2
npm http GET https://registry.npmjs.org/less/1.3.3
npm http GET https://registry.npmjs.org/nib/0.9.1
npm http GET https://registry.npmjs.org/LiveScript/1.1.1
npm http GET https://registry.npmjs.org/lodash/1.0.1
npm http GET https://registry.npmjs.org/wrench/1.4.4
npm http GET https://registry.npmjs.org/chokidar/0.6.2
npm http GET https://registry.npmjs.org/mimosa-server/0.7.2
npm http GET https://registry.npmjs.org/ansi-color/0.2.1
npm http GET https://registry.npmjs.org/iced-coffee-script/1.4.0c
npm http GET https://registry.npmjs.org/stylus/0.32.1
npm http GET https://registry.npmjs.org/mimosa-lint/0.5.2
npm http GET https://registry.npmjs.org/commander/1.1.1
npm http GET https://registry.npmjs.org/mimosa-minify/0.6.3
npm http GET https://registry.npmjs.org/jade/0.28.2
npm http GET https://registry.npmjs.org/emblem/0.1.16
npm http GET https://registry.npmjs.org/mimosa-require/0.7.0
npm http GET https://registry.npmjs.org/underscore/1.4.4
npm http GET https://registry.npmjs.org/npm/1.1.70
npm http GET https://registry.npmjs.org/mimosa-live-reload/0.6.2
npm http GET https://registry.npmjs.org/logmimosa/0.4.0
npm http GET https://registry.npmjs.org/handlebars/1.0.10
npm http 304 https://registry.npmjs.org/ejs/0.8.3
npm http 304 https://registry.npmjs.org/hogan.js/2.0.0
npm http 304 https://registry.npmjs.org/coffee-script/1.6.2
npm http 304 https://registry.npmjs.org/dustjs-linkedin/1.2.1
npm http 200 https://registry.npmjs.org/less/1.3.3
npm http 304 https://registry.npmjs.org/nib/0.9.1
npm http 304 https://registry.npmjs.org/LiveScript/1.1.1
npm http 304 https://registry.npmjs.org/lodash/1.0.1
npm http 304 https://registry.npmjs.org/wrench/1.4.4
npm http 304 https://registry.npmjs.org/chokidar/0.6.2
npm http 304 https://registry.npmjs.org/mimosa-server/0.7.2
npm http 304 https://registry.npmjs.org/ansi-color/0.2.1
npm http 304 https://registry.npmjs.org/iced-coffee-script/1.4.0c
npm http 304 https://registry.npmjs.org/stylus/0.32.1
npm http 304 https://registry.npmjs.org/mimosa-lint/0.5.2
npm http 304 https://registry.npmjs.org/jade/0.28.2
npm http 304 https://registry.npmjs.org/mimosa-minify/0.6.3
npm http 304 https://registry.npmjs.org/commander/1.1.1
npm http 304 https://registry.npmjs.org/emblem/0.1.16
npm http 304 https://registry.npmjs.org/mimosa-require/0.7.0
npm http 304 https://registry.npmjs.org/underscore/1.4.4
npm http 304 https://registry.npmjs.org/mimosa-live-reload/0.6.2
npm http 304 https://registry.npmjs.org/npm/1.1.70
npm http 304 https://registry.npmjs.org/logmimosa/0.4.0
npm http 304 https://registry.npmjs.org/handlebars/1.0.10
npm http GET https://registry.npmjs.org/less/-/less-1.3.3.tgz
npm http 200 https://registry.npmjs.org/less/-/less-1.3.3.tgz
npm http GET https://registry.npmjs.org/chokidar/0.5.3
npm http GET https://registry.npmjs.org/socket.io/0.9.13
npm http 304 https://registry.npmjs.org/chokidar/0.5.3
npm http GET https://registry.npmjs.org/clean-css/0.10.1
npm http GET https://registry.npmjs.org/uglify-js/2.2.5
npm http GET https://registry.npmjs.org/date-utils/1.2.12
npm http GET https://registry.npmjs.org/consolidate/0.8.0
npm http GET https://registry.npmjs.org/express/3.1.0
npm http GET https://registry.npmjs.org/jade/0.28.1
npm http GET https://registry.npmjs.org/growl/1.7.0
npm http 304 https://registry.npmjs.org/clean-css/0.10.1
npm http GET https://registry.npmjs.org/csslint/0.9.10
npm http 200 https://registry.npmjs.org/socket.io/0.9.13
npm http GET https://registry.npmjs.org/lodash/1.0.0-rc.3
npm http GET https://registry.npmjs.org/jshint/0.9.1
npm http 304 https://registry.npmjs.org/uglify-js/2.2.5
npm http 304 https://registry.npmjs.org/date-utils/1.2.12
npm http 304 https://registry.npmjs.org/consolidate/0.8.0
npm http 304 https://registry.npmjs.org/jade/0.28.1
npm http 304 https://registry.npmjs.org/growl/1.7.0
npm http 304 https://registry.npmjs.org/csslint/0.9.10
npm http 304 https://registry.npmjs.org/lodash/1.0.0-rc.3
npm http 200 https://registry.npmjs.org/express/3.1.0
npm http 304 https://registry.npmjs.org/jshint/0.9.1
npm http GET https://registry.npmjs.org/socket.io/-/socket.io-0.9.13.tgz
npm http 200 https://registry.npmjs.org/socket.io/-/socket.io-0.9.13.tgz
npm http GET https://registry.npmjs.org/express/-/express-3.1.0.tgz
npm WARN package.json csslint@0.9.10 No README.md file found!
npm http 200 https://registry.npmjs.org/express/-/express-3.1.0.tgz
npm http GET https://registry.npmjs.org/keypress
npm http 304 https://registry.npmjs.org/keypress
npm http GET https://registry.npmjs.org/requirejs/2.1.5
npm http 304 https://registry.npmjs.org/requirejs/2.1.5
npm http GET https://registry.npmjs.org/optimist
npm http GET https://registry.npmjs.org/uglify-js
npm http GET https://registry.npmjs.org/cli/0.4.3
npm http GET https://registry.npmjs.org/minimatch
npm http 304 https://registry.npmjs.org/optimist
npm http 304 https://registry.npmjs.org/uglify-js
npm http 304 https://registry.npmjs.org/minimatch
npm http 304 https://registry.npmjs.org/cli/0.4.3
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/emblem/src/preprocessor.coffee'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/emblem/src/preprocessor.coffee
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/emblem/src/preprocessor.coffee
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm http GET https://registry.npmjs.org/mkdirp
npm http GET https://registry.npmjs.org/commander/0.6.1
npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/mimosa/node_modules/npm/man/man1'
npm ERR! error rolling back  mimosa@0.11.0 { [Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/mimosa/node_modules/npm/man/man1']
npm ERR! error rolling back   errno: 53,
npm ERR! error rolling back   code: 'ENOTEMPTY',
npm ERR! error rolling back   path: '/usr/local/lib/node_modules/mimosa/node_modules/npm/man/man1' }
npm ERR! Error: ENOENT, open '/usr/local/lib/node_modules/mimosa/node_modules/handlebars/node_modules/optimist/package.json'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/handlebars/node_modules/optimist/package.json
npm ERR! code ENOENT
npm ERR! errno 34
npm http 304 https://registry.npmjs.org/commander/0.6.1
npm http 304 https://registry.npmjs.org/mkdirp
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/jshint/node_modules/minimatch/.travis.yml'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/jshint/node_modules/minimatch/.travis.yml
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/jshint/node_modules/minimatch/.travis.yml
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/stylus/lib/visitor/normalizer.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/stylus/lib/visitor/normalizer.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/stylus/lib/visitor/normalizer.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/hogan.js/test/spec/specs/inverted.yml'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/hogan.js/test/spec/specs/inverted.yml
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/hogan.js/test/spec/specs/inverted.yml
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/iced-coffee-script/lib/coffee-script/repl.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/iced-coffee-script/lib/coffee-script/repl.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/iced-coffee-script/lib/coffee-script/repl.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/jshint/node_modules/cli/cli.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/jshint/node_modules/cli/cli.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/jshint/node_modules/cli/cli.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/lodash/lodash.underscore.min.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/lodash/lodash.underscore.min.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-lint/node_modules/lodash/lodash.underscore.min.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/less/test/browser/jasmine.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/less/test/browser/jasmine.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/less/test/browser/jasmine.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/mimosa-minify/node_modules/clean-css/test/data/big-min.css'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-minify/node_modules/clean-css/test/data/big-min.css
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-minify/node_modules/clean-css/test/data/big-min.css
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/dustjs-linkedin/lib/parser.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/dustjs-linkedin/lib/parser.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/dustjs-linkedin/lib/parser.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/handlebars/node_modules/uglify-js/lib/consolidator.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/handlebars/node_modules/uglify-js/lib/consolidator.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/handlebars/node_modules/uglify-js/lib/consolidator.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/lodash/dist/lodash.compat.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/lodash/dist/lodash.compat.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/lodash/dist/lodash.compat.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm http GET https://registry.npmjs.org/mkdirp/0.3.3
npm http GET https://registry.npmjs.org/buffer-crc32/0.1.1
npm http GET https://registry.npmjs.org/range-parser/0.0.4
npm http GET https://registry.npmjs.org/fresh/0.1.0
npm http GET https://registry.npmjs.org/cookie/0.0.5
npm http GET https://registry.npmjs.org/cookie-signature/0.0.1
npm http GET https://registry.npmjs.org/methods/0.0.1
npm http GET https://registry.npmjs.org/debug
npm WARN engine chokidar@0.5.3: wanted: {"node":"~0.6.10 || 0.7 || 0.8 || 0.9"} (current: {"node":"v0.10.1","npm":"1.2.15"})
npm http 304 https://registry.npmjs.org/mkdirp/0.3.3
npm http 304 https://registry.npmjs.org/fresh/0.1.0
npm http 304 https://registry.npmjs.org/range-parser/0.0.4
npm http 304 https://registry.npmjs.org/buffer-crc32/0.1.1
npm http 304 https://registry.npmjs.org/cookie/0.0.5
npm http 304 https://registry.npmjs.org/cookie-signature/0.0.1
npm http 304 https://registry.npmjs.org/methods/0.0.1
npm http 304 https://registry.npmjs.org/debug
npm http GET https://registry.npmjs.org/connect/2.7.2
npm http GET https://registry.npmjs.org/send/0.1.0
npm http 304 https://registry.npmjs.org/send/0.1.0
npm http 304 https://registry.npmjs.org/connect/2.7.2
npm WARN package.json methods@0.0.1 No README.md file found!
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/mimosa/node_modules/mimosa-require/node_modules/requirejs/bin/r.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "mimosa" "-g"
npm ERR! cwd /Users/zforrest
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-require/node_modules/requirejs/bin/r.js
npm ERR! fstream_path /usr/local/lib/node_modules/mimosa/node_modules/mimosa-require/node_modules/requirejs/bin/r.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm http GET https://registry.npmjs.org/coffee-script
npm http 304 https://registry.npmjs.org/coffee-script
npm http GET https://registry.npmjs.org/mime/1.2.6
npm http GET https://registry.npmjs.org/base64id/0.1.0
npm http 304 https://registry.npmjs.org/mime/1.2.6
npm http GET https://registry.npmjs.org/policyfile/0.0.4
npm http GET https://registry.npmjs.org/socket.io-client/0.9.11
npm http GET https://registry.npmjs.org/redis/0.7.3
npm http 304 https://registry.npmjs.org/base64id/0.1.0
npm http 304 https://registry.npmjs.org/redis/0.7.3
npm http 304 https://registry.npmjs.org/policyfile/0.0.4
npm http 304 https://registry.npmjs.org/socket.io-client/0.9.11
npm http GET https://registry.npmjs.org/bytes/0.1.0
npm http GET https://registry.npmjs.org/pause/0.0.1
npm http GET https://registry.npmjs.org/qs/0.5.1
npm http GET https://registry.npmjs.org/formidable/1.0.11
npm http 304 https://registry.npmjs.org/qs/0.5.1
npm http 304 https://registry.npmjs.org/bytes/0.1.0
npm http 304 https://registry.npmjs.org/pause/0.0.1
npm http 304 https://registry.npmjs.org/formidable/1.0.11
npm http GET https://registry.npmjs.org/uglify-js/1.2.5
npm http GET https://registry.npmjs.org/xmlhttprequest/1.4.2
npm http GET https://registry.npmjs.org/active-x-obfuscator/0.0.1
npm http GET https://registry.npmjs.org/ws
npm http 304 https://registry.npmjs.org/uglify-js/1.2.5
npm http 304 https://registry.npmjs.org/xmlhttprequest/1.4.2
npm http 304 https://registry.npmjs.org/ws
npm http 304 https://registry.npmjs.org/active-x-obfuscator/0.0.1
npm http GET https://registry.npmjs.org/zeparser/0.0.5
npm http 304 https://registry.npmjs.org/zeparser/0.0.5
npm http GET https://registry.npmjs.org/tinycolor
npm http GET https://registry.npmjs.org/options
npm http GET https://registry.npmjs.org/commander
npm http 304 https://registry.npmjs.org/tinycolor
npm http 304 https://registry.npmjs.org/options
npm http 304 https://registry.npmjs.org/commander

> ws@0.4.25 install /usr/local/lib/node_modules/mimosa/node_modules/mimosa-live-reload/node_modules/socket.io/node_modules/socket.io-client/node_modules/ws
> (node-gyp rebuild 2> builderror.log) || (exit 0)

  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
  SOLINK_MODULE(target) Release/bufferutil.node
  SOLINK_MODULE(target) Release/bufferutil.node: Finished
  CXX(target) Release/obj.target/validation/src/validation.o
  SOLINK_MODULE(target) Release/validation.node
  SOLINK_MODULE(target) Release/validation.node: Finished
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/zforrest/npm-debug.log
npm ERR! not ok code 0
zdfs:~ zforrest$ 
Owner

dbashford commented Mar 21, 2013

Do the older versions of node you've tried also mean you've been doing the install with older versions of npm? I'd suggest maybe backing up to maybe the last 1.1 version of npm. That's one option.

Something else you could try...

git clone git://github.com/dbashford/mimosa.git
cd mimosa
npm install -g

zdfs commented Mar 21, 2013

Same problem with the second option.

Owner

dbashford commented Mar 21, 2013

npm cache clean first and then npm install -g mimosa after? I'm seeing some folks having that issue.

zdfs commented Mar 21, 2013

That was it.

Owner

dbashford commented Mar 21, 2013

Yay! Give it a good run through and let me know if you have any other issues with the dual upgrade of node and mimosa.

zdfs commented Mar 21, 2013

I'm trying Node 0.10 again, but running into this:

npm WARN package.json ladder@0.0.0 No README.md file found!
npm WARN unmet dependency /usr/local/lib/node_modules/html5-boilerplate/node_modules/grunt requires jshint@'~0.5' but will load
npm WARN unmet dependency /usr/local/lib/node_modules/jshint,
npm WARN unmet dependency which is version 1.1.0
npm ERR! peerinvalid The package flatiron does not satisfy its siblings' peerDependencies requirements!
npm ERR! peerinvalid Peer flatiron-cli-config@0.1.3 wants flatiron@~0.1.9
npm ERR! peerinvalid Peer flatiron-cli-users@0.1.4 wants flatiron@~0.3.0

npm ERR! System Darwin 12.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "mimosa"
npm ERR! cwd /usr/local/lib/node_modules
npm ERR! node -v v0.10.1
npm ERR! npm -v 1.2.15
npm ERR! code EPEERINVALID
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /usr/local/lib/node_modules/npm-debug.log
npm ERR! not ok code 0
Owner

dbashford commented Mar 21, 2013

What command are you running when you do that? Is that coming from the install of mimosa?

zdfs commented Mar 21, 2013

Yeah. I did a npm cache clean and then tried to install mimosa, ran into this.

Owner

dbashford commented Mar 21, 2013

Looks like a flatiron problem though, and not sure why that would ever be involved.

This all has nothing to do with mimosa, is it part of the mimosa install stack trace?

npm WARN package.json ladder@0.0.0 No README.md file found!
npm WARN unmet dependency /usr/local/lib/node_modules/html5-boilerplate/node_modules/grunt requires jshint@'~0.5' but will load
npm WARN unmet dependency /usr/local/lib/node_modules/jshint,
npm WARN unmet dependency which is version 1.1.0
npm ERR! peerinvalid The package flatiron does not satisfy its siblings' peerDependencies requirements!
npm ERR! peerinvalid Peer flatiron-cli-config@0.1.3 wants flatiron@~0.1.9
npm ERR! peerinvalid Peer flatiron-cli-users@0.1.4 wants flatiron@~0.3.0

zdfs commented Mar 21, 2013

Yeah. I thought that was weird too. Still looking at it.

Owner

dbashford commented Mar 21, 2013

This doesn't entirely make sense to me, however .... isaacs/npm#3110

Owner

dbashford commented Mar 21, 2013

Any chance the install actually worked anyway?

https://gist.github.com/soldair/5159259

zdfs commented Mar 21, 2013

Crap. I do.

Owner

dbashford commented Mar 21, 2013

The solution looks kind of straight forward then. Just a few library upgrades to get your peer deps straightened out?

zdfs commented Mar 21, 2013

I'm back up on the latest Node.

As soon as uninstalled jitsu, things started working themselves out.

Thank you for your help. I appreciate it.

@zdfs zdfs closed this Mar 21, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment